package com.ti.mobpo.data

import android.content.Context


interface AppContainer {
    val favouritesRepository: FavouritesRepository
}


class AppDataContainer(private val context: Context) : AppContainer {

    override val favouritesRepository: FavouritesRepository by lazy {
        OfflineFavouritesRepository(PokemonDatabase.getDatabase(context).FavouriteDao())
    }
}